#!/bin/sh
set -e

cargo build --release
arm-none-eabi-objcopy -O binary target/thumbv7m-none-eabi/release/controller controller.bin
sudo openocd -f interface/stlink-v2.cfg -f target/stm32f1x.cfg -c "program controller.bin 0x08000000" -c "arm semihosting enable" -c "reset run"

